SIMH(1)

NAME
simh - Simulation suite for various computer systems

SYNOPSIS
simh [-e] [-q] [-v] [ startup-file [arguments]]

DESCRIPTION
simh is a comprehensive suite of simulators for a number of legacy computer systems.

Note that there is no actual simh command; each simulator is invoked with its own command. Currently, the available commands are:

altair, altairz80, gri, h316, hp2100, i1401, i1620, i7094, ibm1130, id16, id32, lgp, nova, pdp1, pdp10, pdp11, pdp15, pdp4, pdp7, pdp8, pdp9, s3, sds, simh-eclipse, swtp6800mp-a, swtp6800mp-a2, vax, vax780.

The following options are available for all of the commands:

-e  Processing of startup-file (including nested command invocations) is aborted if a command error is encountered.

-q  Certain informational messages are suppressed.

-v  The commands in startup-file are echoed before they are executed.

If startup-file is specified, it is used as an initial source of simulator commands. If startup-file is not specified, the simulator looks for a startup file consisting of the simulator name (including its path components) plus the extension .ini.

If a startup file is specified, either on the command line or implicitly via the .ini capability, it should contain a series of non-interactive simulator commands, one per line. These commands can be used to set up standard parameters, for example disk sizes.

After initializing its internal structures and processing the startup file (if any), the simulator types out its name and version and then prompts for input with:

sim>

EXIT STATUS
simh exits 0 on success, and >0 if an error occurs.

SEE ALSO
Documentation is available for each of the simulators. There is also generic simulator documentation. It can be found locally in %%DOCSDIR%% (if installed), and also at http://simh.trailing-edge.com/pdf/all_docs.html.

AUTHORS
Robert M. Supnik and many others. FreeBSD port maintenance, and this manual page, by Bob Eager <bob@eager.cx>.